
function gdisk,lam=lam,B=B,V=V,sigma=sigma,FWHM=FWHM,inSigma=inSigma,inFWHM=inFWHM

pi=3.14159
radtomas=180./pi*3600*1000



if not (KEYWORD_SET(FWHM)) then FWHM=0
if not (KEYWORD_SET(sigma)) then sigma=0

if not (KEYWORD_SET(inSigma)) then inFWHM=1


np=KEYWORD_SET(lam)*1 + KEYWORD_SET(B)*1 + KEYWORD_SET(V)*1 + KEYWORD_SET(sigma)*1 + KEYWORD_SET(FWHM)*1

if (np ne 3) then begin

	print,'vous avez utilis� ',string(np,format='(I1)'),' param�tres au lieu de 3'
	return,0

endif else begin


	if not(KEYWORD_SET(sigma) or KEYWORD_SET(FWHM))  then begin
		res=sqrt(-alog(V)/2)*radtomas*lam*1e-6/(B*pi)
		if KEYWORD_SET(inFWHM) then res=2.35*res
	end


	if not KEYWORD_SET(V) then begin
		if not(KEYWORD_SET(sigma)) then sigma=FWHM/2.35
		res=exp(-2.*(pi*sigma/radtomas*B/lam/1e-6)^2.)
	end

end


return,res
end