pro amber_getall_night,dir,data=data,deg=deg,nobs=nobs

if not(keyword_set(deg)) then deg=0

file=file_search(dir+'*.fits')
nfile=n_elements(file)
nobs=nfile



dat={spafreq:ptr_new(),lam:ptr_new(),B:ptr_new(),angle:ptr_new(),sqV:ptr_new(),$
			sqVerr:ptr_new(),phi:ptr_new(),pherr:ptr_new(),cphi:ptr_new(),cpherr:ptr_new(),nlam:0,nBase:0,deg:0}
data=replicate(dat,nfile)

for i=0,nfile-1 do begin
	amber_getall,file(i),spafreq=spafreq,sqVis=sqVis,sqVerr=sqVerr,lam=lam,$
			phi=phi,pherr=pherr,closure=closure,cperr=cperr,B=B,angle=angle,deg=deg
			 
	  data[i].lam=ptr_new(lam)
    data[i].B=ptr_new(B)
	 	data[i].angle=ptr_new(angle)
	  data[i].sqV=ptr_new(sqVis)
	 	data[i].sqVerr=ptr_new(sqVerr)
	 	data[i].phi=ptr_new(phi)
	 	data[i].pherr=ptr_new(pherr)
	 	data[i].cphi=ptr_new(closure)
	 	data[i].cpherr=ptr_new(cperr)
	 	data[i].nlam=n_elements(lam)
	 	data[i].nbase=n_elements(B)
	 	data[i].deg=deg
end

end