function ellipse2,r=r,x=x,y=y,apl=apl,ori=ori,norm=norm

pi=3.14159

if not(keyword_set(r)) then r=1
if not(keyword_set(apl)) then apl=1.
if not(keyword_set(ori)) then ori=0.
ori_rad=-ori*pi/180.+pi/2

id=fltarr(n_elements(x))+1.


xx=x#transpose(id)
yy=id#transpose(y)


xp=xx*cos(ori_rad)-yy*sin(ori_rad)
yp=xx*sin(ori_rad)+yy*cos(ori_rad)

ell=(xp^2+yp^2*apl^2) lt r^2.



if keyword_set(norm) then ell=ell/total(ell)

return,ell
end


function ellipse_old,r=r,x=x,y=y,apl=apl,ori=ori

pi=3.14159


if not(keyword_set(r)) then r=1

if not(keyword_set(apl)) then apl=1.
if not(keyword_set(ori)) then ori=0.


ori_rad=-ori*pi/180.+pi/2

nx=n_elements(x)
ny=n_elements(y)
ell=fltarr(nx,ny)

for i=0,nx-1  do begin
	for j=0,ny-1 do begin
		xp=x(i)*cos(ori_rad)-y(j)*sin(ori_rad)
		yp=x(i)*sin(ori_rad)+y(j)*cos(ori_rad)
		ell(i,j)=(xp^2+yp^2*apl^2) lt r^2.
	end
end
return,ell
end
